DCMTK - Feature #972

Add support for reproducible builds
2021-03-08 11:51 - J6rg Riesmeier

Status: Closed Start date: 2021-03-08
Priority: Normal Due date:

Assignee: Jorg Riesmeier % Done: 100%
Category: Configuration Estimated time: 1:00 hour
Target version: 3.6.7

Module: Compiler:

Operating System:

Description

Currently, the DCMTK does not support reproducible builds since e.g. the current timestamp is used for the manpages generated by
Doxygen.

This should be easy to fix since Doxygen seems to support the environment variable SOURCE_DATE_EPOCH (
https://reproducible-builds.org/docs/source-date-epoch/).

Further aspects of "reproducible builds" need to be checked.

See: https://wiki.debian.org/ReproducibleBuilds/Howto

Related issues:
Has duplicate DCMTK - Feature #971: Add Support reproducible builds Closed 2021-03-08

History

#1 - 2021-03-08 11:52 - J6rg Riesmeier
- Has duplicate Feature #971: Add Support reproducible builds added

#2 - 2022-01-28 17:32 - Jorg Riesmeier
- Status changed from New to Closed

- Assignee set to Jérg Riesmeier

- % Done changed from 0 to 100

- Estimated time set to 1:00 h

See the following link on how to specify SOURCE_DATE_EPOCH, e.g. using the last modification of a git repository:
https://reproducible-builds.org/docs/source-date-epoch/
